Need help with vue-strap?
Click the “chat” button below for chat support from the developer who created it, or find similar developers for support.

About the developer

yuche
4.8K Stars 986 Forks MIT License 694 Commits 259 Opened issues

Description

Bootstrap components built with Vue.js

Services available

!
?

Need anything else?

Contributors list

# 35,410
JavaScr...
HTML
231 commits
# 346
wechat
jQuery
wechat-...
taro
81 commits
# 85,027
HTML
PHP
Shell
compara...
47 commits
# 158,407
CSS
HTML
12 commits
# 53,808
PHP
Shell
Laravel
elastic...
9 commits
# 193,598
Raspber...
synolog...
pypi
downloa...
7 commits
# 167,851
HTML
angular...
PHP
Laravel
6 commits
# 200,595
HTML
Vue.js
CSS
vscode
4 commits
# 245,883
PHP
Shell
Atom
Less
3 commits
# 196,409
prettif...
coffees...
beautif...
Atom
3 commits
# 4,552
iOS
gevent
socketi...
webpack...
3 commits
# 257,997
HTML
C#
Shell
3 commits
# 263,950
CSS
HTML
3 commits
# 263,949
CSS
HTML
3 commits
# 33,278
HTML
C
electro...
Electro...
2 commits
# 32,838
PHP
CSS
framewo...
hybrid-...
2 commits
# 84,377
Shell
Raspber...
PHP
guzzle
2 commits
# 32,046
Java
Less
vue2
vux
2 commits
# 225,653
Laravel
shortco...
WordPre...
HTML
2 commits
# 296,363
CSS
HTML
2 commits

deprecated

SORRY, THIS PROJECT IS NO LONGER MAINTAINED.

There are two great alternatives:

  • bootstrap-vue: BootstrapVue provides one of the most comprehensive implementations of Bootstrap 4 components and grid system for Vue.js and with extensive and automated WAI-ARIA accessibility markup.
  • uiv: Bootstrap 3 components implemented by Vue 2.

vue-strap

Bootstrap components built with Vue.js.

This repository contains a set of native Vue.js components based on Bootstrap's markup and CSS. As a result no dependency on jQuery or Bootstrap's JavaScript is required. The only required dependencies are:

  • Vue.js (required ^v1.x.x, test with v1.0.8).
  • Bootstrap CSS (required 3.x.x, test with 3.3.5). VueStrap doesn't depend on a very precise version of Bootstrap.

Installation

NPM

$ npm install vue-strap

CommonJS

var alert = require('vue-strap/src/alert');
// or
var alert = require('vue-strap').alert;

new Vue({ components: { 'alert': alert } })

ES6

import alert from 'vue-strap/src/alert'
// or
import { alert } from 'vue-strap'

new Vue({ components: { alert } })

AMD

$ bower install vue-strap

define(['vue-strap'], function(VueStrap) { var alert = VueStrap.alert; ... });

Browser globals

The

dist
folder contains
vue-strap.js
and
vue-strap.min.js
with all components exported in the window.VueStrap object. These bundles are also available in CDNJS, and on both the Bower and NPM packages.

Docs

See the documentation with live editable examples.

Local Setup

  • Install with
    npm install
  • Run the docs site in development mode with
    npm run docs
    . This will watch for file changes as you work.
  • Build with
    npm run build
    .

TODO

See Roadmap

License

vue-strap is licensed under The MIT License.

We use cookies. If you continue to browse the site, you agree to the use of cookies. For more information on our use of cookies please see our Privacy Policy.